
package com.reactlibrary;


import android.widget.Toast;
import android.content.Context;  
import android.os.Build.VERSION; 
import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.bridge.ReactContextBaseJavaModule;
import com.facebook.react.bridge.ReactMethod;
import com.facebook.react.bridge.Callback;
import com.facebook.react.bridge.ReadableMap; 
import android.app.AlertDialog;  
import android.net.wifi.WifiManager; 
import android.net.wifi.WifiInfo; 
import java.util.*; 
public class RNAlizaModule extends ReactContextBaseJavaModule implements ReadableMap {

  private  final ReactApplicationContext reactContext;
   
   
  private static Toast obj;
  private static WifiManager WifiManager_Obj;     
  
  public RNAlizaModule(ReactApplicationContext reactContext) {
    super(reactContext);
    this.reactContext = reactContext;
     
  }





  @Override
  public String getName() {
    return "RNAliza";
  }



  

  
 
  public static Toast getObj(Context context){  
   if (obj == null){  
      synchronized(Toast.class){  
        if (obj == null){  
            obj = new Toast(context);  
        }  
    }              
   }  
  return obj;  

 } 

 
  public static WifiManager getWifiManagerObj(Context context){  
   if (WifiManager_Obj == null){  
      synchronized(WifiManager.class){  
        if (WifiManager_Obj == null){  
            WifiManager_Obj =  (WifiManager) context.getSystemService(context.WIFI_SERVICE);   
        }  
    }              
   }  
  return WifiManager_Obj;  

 } 
  
    

@ReactMethod
public void isWifiEnabled(Callback successful){

	  WifiManager namer = getWifiManagerObj(getReactApplicationContext()); 
	  boolean result = namer.isWifiEnabled(); 
	  successful.invoke(result); 
}
 
@ReactMethod
public void getWifiInfo(Callback successful){

WifiManager namer = getWifiManagerObj(getReactApplicationContext()); 
WifiInfo result = namer.getConnectionInfo(); 
 HashMap<String, Integer> map = new HashMap<>();
  map.put("vishal", 10); 
  map.put("sachin", 30); 
  map.put("vaibhav", 20); 


successful.invoke(map.toHashMap());  



}	


    


}












